import CJS_COMPAT_NODE_URL_fkaa0x0zihe from 'node:url';
import CJS_COMPAT_NODE_PATH_fkaa0x0zihe from 'node:path';
import CJS_COMPAT_NODE_MODULE_fkaa0x0zihe from "node:module";

var __filename = CJS_COMPAT_NODE_URL_fkaa0x0zihe.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_fkaa0x0zihe.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_fkaa0x0zihe.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  getAutomockCode
} from "../../../../_node-chunks/chunk-EKSZE67Q.js";
import {
  babelParser
} from "../../../../_node-chunks/chunk-S3OHEWCH.js";
import "../../../../_node-chunks/chunk-QUBI53SI.js";
import "../../../../_node-chunks/chunk-4ILNNMLG.js";

// src/core-server/presets/webpack/loaders/webpack-automock-loader.ts
function webpackAutomockLoader(source) {
  let isSpy = this.getOptions().spy === "true";
  return getAutomockCode(source, isSpy, babelParser).toString();
}
export {
  webpackAutomockLoader as default
};
